# $Revision: 1.2 $, $Date: 2002/02/09 09:00:31 $
Summary:	Menu converter and editor for various Window Managers
Summary(pl):	Konwerter menu oraz edytor dla wielu Window Menaderw
Name:		menushki
Version:	1.0
Release:	1
License:	GPL v2
Group:		X11/Window Managers/Tools
Group(cs):	X11/Okenn manaery/Nstroje
Group(de):	X11/Fenstermanager/Tools
Group(es):	X11/Administradores de Ventanas/Herramientas
Group(fr):	X11/Gestionnaires de fentres/Outils
Group(pl):	X11/Zarzdcy okien/Narzdzia
Group(pt):	X11/Gestores de Janelas/Ferramentas
Group(ru):	X11/ /
Source0:	http://prdownloads.sourceforge.net/menushki/%{name}-%{version}.tar.gz
Patch0:		%{name}-ncurses.patch
URL:		http://menushki.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Menushki is a console menu converter and editor for various X window
managers. Currently works with KDE, GNOME, IceWM, BlackBox,
Enlightenment and WindowMaker menu.

%description -l pl
Menushki jest konwerterem i edytorem menu dla rnych X Window
Menaderw. Aktualnie pracuje z menu KDE, GNOME, IceWM, BlackBox,
Enlightenment oraz WindowMaker.

%prep 
%setup -q
%patch0 -p1

%build
cd ktools-1.1
	rm -f missing
	aclocal
	autoconf
	automake -a -c
cd ..

rm -f missing
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README TODO ChangeLog

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/menushki

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: menushki.spec,v $
Revision 1.2  2002/02/09 09:00:31  kloczek
- cosmetics.

Revision 1.1  2002/02/09 00:52:17  blues
- brand new
ncurses-based aplication that converts menus between Window Managers. Cool.
